#if !defined(_pockettv_utils_h)
#define _pockettv_utils_h

#include "stdafx.h"

/*----------------------------------------------------------------------
|       prototypes
+---------------------------------------------------------------------*/

#ifdef __cplusplus
extern "C" {
#endif

#ifdef POCKETTV_HAVE_SHCLOSEAPPS
extern void *pockettv_malloc(unsigned int size);
extern void *pockettv_calloc(unsigned int num, unsigned int size);
#else
#define pockettv_malloc malloc
#define pockettv_calloc calloc
#endif

#ifdef POCKETTV_NO_CALLOC
extern void *calloc(unsigned int num, unsigned int size);
#endif

#ifdef POCKETTV_NO_SIP

#define HideSip()	TRUE
#define ShowSip()	TRUE

#else

extern BOOL HideSip( void );
extern BOOL ShowSip( void );

#endif


#ifdef POCKETTV_CAN_SET_NAVBAR_TEXT

extern int SetNavBarText(HWND hWnd, const TCHAR *str);

#else

#define SetNavBarText(hWnd, str) 0

#endif

extern const TCHAR *MyLoadString(HINSTANCE instance, int id);
extern void MyFreeString(const TCHAR *str);

#if !defined(UNDER_CE) || UNDER_CE < 212 || !defined(WIN32_PLATFORM_PSPC)
extern void center_dialog(HWND hDlg);
extern void fullscreen_dialog(HWND hDlg);
extern void adjust_dialog(HWND hDlg);
#endif

extern int SetWindowTitle(HWND hWnd, const TCHAR *str);

#ifdef __cplusplus
}
#endif

#endif // !defined(_pockettv_utils_h)

// eof